using System;
using System.Runtime.Serialization;

namespace Canonical.Bazaar
{
	public class BazaarException : Exception, ISerializable
	{
		public BazaarException()
		{
		}

		public BazaarException(string message)
			: base(message)
		{
		}

		public BazaarException(string message, Exception innerException)
			: base(message, innerException)
		{
		}

		protected BazaarException(SerializationInfo info, StreamingContext context)
			: base(info, context)
		{
		}
	}
}